@use "sass:math";

$cells: 8;

@mixin cell() {
    @for $cell from 1 through $cells {
        @for $of from 1 through $cells {
            .c#{$cell}of#{$of} {
                flex-basis: math.div(100, $of) * 1% * $cell;
                //min-width: math.div(100, $of) * 1% * $cell;
                flex-grow: 1;
            }
        }
    }
}

.row {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;

    &.gap1 {
        gap: 4 * $space;
    }

    &.gap15 {
        gap: 6 * $space;
    }

    &.gap2 {
        gap: 8 * $space;
    }

    &.align-center {
        align-items: center;

        & > * {
            margin-top: 0 !important;
            margin-bottom: 0 !important;
        }
    }

    &.align-bottom {
        align-items: flex-end;

        & > * {
            margin-top: 0 !important;
            margin-bottom: 0 !important;
        }
    }

    &.justify-between {
        justify-content: space-between;
    }

    &.wrap {
        flex-wrap: wrap;
    }

    @include cell;
}

